加密策略文件修改

作者:管理员|分类:查重SDK

如果您使用的是JDK/JRE7及以下版本,XINCHECK SDK不提供公开的支持,建议您在条件允许的情况下升级JDK至JDK8。

如果您使用的是JDK8但JDK/JRE为1.8.0_150及以下版本,您需要下载Oracle官方提供的JCE无限制权限策略文件以启用AES256加密。或将JDK升级至1.8.0_151及以上。

下载地址:

Oracle官网下载:https://www.oracle.com/java/technologies/javase-jce8-downloads.html

本地下载:jce_policy-8.zip

下载后解压,可以看到local_policy.jar和US_export_policy.jar两个文件。

如果安装了JRE,请将两个jar文件放到%JRE_HOME%\lib\security文件夹下覆盖原文件。

如果安装了JDK,请将两个jar文件也放到%JDK_HOME%\jre\lib\security文件夹下。


如果您使用的JDK/JRE版本为1.8.0_151(包含151)及以上版本(包括JDK9/10/11/12/13及以上),您默认不需要进行任何操作。

12 03月

2020-03-12 17:20:13

浏览836 评论0
返回
目录
返回
首页
常见问题(Q&A) 进阶使用教程

发表评论

◎欢迎参与讨论,请在这里发表您的看法、交流您的观点。